----------------------------------------------------------------------
-- 	HadarilUI (November 12th 2016) (1.1.0) -- Krisera @ Wyrmrest Accord
----------------------------------------------------------------------



--[[ 
-----------------------------------------
     F R A M E     I N D E X E S
----------------------------------------- ]]

local playerWidgetIndex = {
	PlayerRestIcon,
	PlayerRestGlow,
	PlayerLevelText,
	PlayerAttackIcon,
	PlayerAttackGlow,
	PlayerStatusGlow,
	PlayerStatusTexture,
	PlayerBuffsMover,
	PlayerDebuffsMover,
	PartyLeaderIcon,
	TargetFrameTextureFramePVPIcon,
	TargetBuffsMover,
	TargetDebuffsMover,
	TargetFrameToTDebuffsMover,
	PetDebuffsMover,
	TargetFrameNameBackground,
}

local unitFrameIndex = {
	PlayerFrame,
	TargetFrame,
	FocusFrame,
	PetFrame,
	CastingBarFrame,
}

local actionbarFrameIndex = {
	MultiBarLeft,
	MultiBarRight,
	MultiBarBottomRight,
	MultiBarBottomLeft,
}

local artifactBarIndex = {
	ArtifactWatchBar.StatusBar.XPBarTexture0,
	ArtifactWatchBar.StatusBar.XPBarTexture1,
	ArtifactWatchBar.StatusBar.XPBarTexture2,
	ArtifactWatchBar.StatusBar.XPBarTexture3,
	ArtifactWatchBarTexture0,
	ArtifactWatchBarTexture1,
	ArtifactWatchBarTexture2,
	ArtifactWatchBarTexture3,
	ArtifactWatchBar.OverlayFrame,
}

local partyMemberFrameIndex = {
	PartyMemberFrame1,
	PartyMemberFrame2,
	PartyMemberFrame3,
	PartyMemberFrame4,
}

local mainHUDIndex = {
	-- ObjectiveTrackerFrame,
	-- ObjectiveTrackerBlocksFrame,
	ObjectiveTrackerBlocksFrame.QuestHeader,
	GarrisonLandingPageMinimapButton,
	MiniMapWorldMapButton,
}

local mainMenuBarIndex = {
	ActionBarUpButton,
	ActionBarDownButton,
	MainMenuBarBackpackButton,
	CharacterBag0Slot,
	CharacterBag1Slot,
	CharacterBag2Slot,
	CharacterBag3Slot,
}

local chatButtonsIndex = {
	QuickJoinToastButton,
	ChatFrameMenuButton,
	ChatFrame1ButtonFrameUpButton,
	ChatFrame1ButtonFrameDownButton,
	ChatFrame1ButtonFrameBottomButton,
	ChatFrame1ButtonFrameRightTexture,
	ChatFrame1ButtonFrameLeftTexture,
	ChatFrame1ButtonFrameBackground,
}

--[[ 
-----------------------------------------
     F R A M E    T O G G L E S
----------------------------------------- ]]

for i,v in ipairs(playerWidgetIndex) do
	v:SetAlpha(0) end 
for i,v in ipairs(unitFrameIndex) do
	v:SetAlpha(1) end 
for i,v in ipairs(actionbarFrameIndex) do
	v:SetAlpha(1) end
for i,v in ipairs(artifactBarIndex) do 
	v:SetAlpha(1) end
for i,v in ipairs(partyMemberFrameIndex) do
	v:SetAlpha(1) end 
for i,v in ipairs(mainMenuBarIndex) do
	v:SetAlpha(0) end
for i,v in ipairs(chatButtonsIndex) do
	v:SetAlpha(0) end
for i,v in ipairs(mainHUDIndex) do
	v:SetAlpha(0) end


for _, v in ipairs(MICRO_BUTTONS) do
	_G[v]:SetAlpha(.25) end	

for i=1, 19 do
	_G["MainMenuXPBarDiv"..i]:SetAlpha(0) end

for i=1, 12 do
	_G["ActionButton"..i.."Name"]:SetAlpha(0)
	_G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0)
	_G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0)
	_G["MultiBarRightButton"..i.."Name"]:SetAlpha(0)
	_G["MultiBarLeftButton"..i.."Name"]:SetAlpha(0) end

--[[ 
-----------------------------------------
     F R A M E    S C A L I N G
----------------------------------------- ]]

--[[
for i,v in ipairs(playerWidgetIndex) do
	v:SetScale(1) end 
for i,v in ipairs(unitFrameIndex) do
	v:SetScale(1) end 
for i,v in ipairs(actionbarFrameIndex) do
	v:SetScale(1) end
for i,v in ipairs(artifactBarIndex) do 
	v:SetScale(1) end
for i,v in ipairs(partyMemberFrameIndex) do
	v:SetScale(1) end 
for i,v in ipairs(mainMenuBarIndex) do
	v:SetScale(1) end
for i,v in ipairs(chatButtonsIndex) do
	v:SetScale(1) end
]]

--[[ 
-----------------------------------------
     F R A M E    P O S I T I O N S
----------------------------------------- ]]

PlayerFrame:ClearAllPoints()
PlayerFrame:SetPoint("CENTER", -310, -375)
PlayerFrame.SetPoint = function() end

TargetFrame:ClearAllPoints()
TargetFrame:SetPoint("CENTER", 310, -375)
TargetFrame.SetPoint = function() end

CastingBarFrame:ClearAllPoints()
CastingBarFrame:SetPoint("CENTER", 0, -400)

--MultiBarBottomRight:ClearAllPoints()
--MultiBarBottomRight:SetPoint("BOTTOMRIGHT", WorldFrame, "BOTTOMRIGHT", 124, 4)
--MultiBarBottomRight.SetPoint = function() end

MultiBarBottomRight:ClearAllPoints()
MultiBarBottomRight:SetPoint("BOTTOMLEFT", WorldFrame, "BOTTOMLEFT", -122, 4)
MultiBarBottomRight.SetPoint = function() end

--[[ 
-----------------------------------------
     D A R K E N    F R A M E S 
----------------------------------------- ]]

for i,v in pairs({
	PlayerFrameTexture,
	PlayerFrameAlternateManaBarBorder,
	PlayerFrameAlternateManaBarLeftBorder,
	PlayerFrameAlternateManaBarRightBorder,
	ComboPointPlayerFrame.Background,
	ComboPointPlayerFrame.Combo1.PointOff,
	ComboPointPlayerFrame.Combo2.PointOff,
	ComboPointPlayerFrame.Combo3.PointOff,
	ComboPointPlayerFrame.Combo4.PointOff,
	ComboPointPlayerFrame.Combo5.PointOff,
	ComboPointPlayerFrame.Combo6.PointOff,
	AlternatePowerBarBorder,
	AlternatePowerBarLeftBorder,
	AlternatePowerBarRightBorder,
	PetFrameTexture,
	PartyMemberFrame1Texture,
	PartyMemberFrame2Texture,
	PartyMemberFrame3Texture,
	PartyMemberFrame4Texture,
	PartyMemberFrame1PetFrameTexture,
	PartyMemberFrame2PetFrameTexture,
	PartyMemberFrame3PetFrameTexture,
	PartyMemberFrame4PetFrameTexture,
	FocusFrameTextureFrameTexture,
	TargetFrameTextureFrameTexture,
	TargetFrameToTTextureFrameTexture,
	FocusFrameToTTextureFrameTexture,
	Boss1TargetFrameTextureFrameTexture,
	Boss2TargetFrameTextureFrameTexture,
	Boss3TargetFrameTextureFrameTexture,
	Boss4TargetFrameTextureFrameTexture,
	Boss5TargetFrameTextureFrameTexture,
	Boss1TargetFrameSpellBar.Border,
	Boss2TargetFrameSpellBar.Border,
	Boss3TargetFrameSpellBar.Border,
	Boss4TargetFrameSpellBar.Border,
	Boss5TargetFrameSpellBar.Border,
	CastingBarFrame.Border,
	FocusFrameSpellBar.Border,
	TargetFrameSpellBar.Border,
	SlidingActionBarTexture0,
	SlidingActionBarTexture1,
    MainMenuBarTexture0,
	MainMenuBarTexture1,
	MainMenuBarTexture2,
	MainMenuBarTexture3,
    MainMenuMaxLevelBar0,
    MainMenuMaxLevelBar1,
	MainMenuMaxLevelBar2,
	MainMenuMaxLevelBar3,
	MainMenuMaxLevelBar0Hadaril,
	MainMenuMaxLevelBar1Hadaril,
	MainMenuMaxLevelBar2Hadaril,
	MainMenuMaxLevelBar3Hadaril,
	MainMenuXPBarTextureLeftCap,
	MainMenuXPBarTextureRightCap,
	MainMenuXPBarTextureMid,
	ReputationWatchBarTexture0,
	ReputationWatchBarTexture1,
	ReputationWatchBarTexture2,
	ReputationWatchBarTexture3,
	ReputationXPBarTexture0,
	ReputationXPBarTexture1,
	ReputationXPBarTexture2,
	ReputationXPBarTexture3,
    BonusActionBarFrameTexture0, 
    BonusActionBarFrameTexture1, 
    BonusActionBarFrameTexture2, 
    BonusActionBarFrameTexture3,
	BonusActionBarFrameTexture4, 
    MinimapBorder, 
    MiniMapTrackingButtonBorder, 
    MiniMapLFGFrameBorder, 
    MiniMapBattlefieldBorder,
	MiniMapMailBorder, 
	MinimapBorderTop,
	MainMenuBarLeftEndCap,
    MainMenuBarRightEndCap, 
	StanceBarLeft,
	StanceBarMiddle,			
	StanceBarRight,
	ArtifactWatchBar.StatusBar.XPBarTexture0,
	ArtifactWatchBar.StatusBar.XPBarTexture1,
	ArtifactWatchBar.StatusBar.XPBarTexture2,
	ArtifactWatchBar.StatusBar.XPBarTexture3,
}) do
     v:SetVertexColor(.4, .4, .4) 
end

ArtifactWatchBar.StatusBar.BarTexture:SetVertexColor(.275, .275, .275)
ArtifactWatchBar.StatusBar.Overlay:SetVertexColor(.2, .2, .2)
ArtifactWatchBar.StatusBar.Background:SetVertexColor(0, 0, 0)

--[[ 
-----------------------------------------
    I N T E R F A C E     T W E A K S  
----------------------------------------- ]]

-- [[ Minimap Scrollwheel Zoom ]] --

	MinimapZoomIn:Hide()
	MinimapZoomOut:Hide()
	Minimap:EnableMouseWheel(true)
	Minimap:SetScript('onmousewheel', function(self, delta)
	    if delta > 0 then
	        Minimap_ZoomIn()
	    else
	    	Minimap_ZoomOut()
	    end
	end)
	MiniMapTracking:ClearAllPoints()
	MiniMapTracking:SetPoint("TOPRIGHT", -26, 7)

-- [[ Class Colored Target Frame ]] --
--[[ 	
	local function colour(statusbar, unit)
	    local _, class, c
	    if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
	        _, class = UnitClass(unit)
	        c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
	        statusbar:SetStatusBarColor(c.r, c.g, c.b)
	        PlayerFrameHealthBar:SetStatusBarColor(0,1,0)
	    end 
	end

	hooksecurefunc("UnitFrameHealthBar_Update", colour)
	hooksecurefunc("HealthBar_OnValueChanged", function(self)
	colour(self, self.unit) end)

	local frame = CreateFrame("FRAME")
	frame:RegisterEvent("GROUP_ROSTER_UPDATE")
	frame:RegisterEvent("PLAYER_TARGET_CHANGED")
	frame:RegisterEvent("PLAYER_FOCUS_CHANGED")
	frame:RegisterEvent("UNIT_FACTION")
]]--

-- [[ Fix Target Frame Name Background ]] -- 




----------------------------------------------------------------------
-- 	HadarilUI (November 12th 2016) (1.1.0) -- Krisera @ Wyrmrest Accord
----------------------------------------------------------------------

